com.io7m.smfj.probe.api

## Class SMFVersionProbed.Builder

- java.lang.Object
- - com.io7m.smfj.probe.api.SMFVersionProbed.Builder

- Enclosing class:
    SMFVersionProbed

      public static final class SMFVersionProbed.Builder
      extends Object

  Builds instances of type `SMFVersionProbed`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFVersionProbed` | `build()` Builds a new `SMFVersionProbed`.
    `SMFVersionProbed.Builder` | `from(SMFVersionProbedType instance)` Fill a builder with attribute values from the provided `SMFVersionProbedType` instance.
    `SMFVersionProbed.Builder` | `setProvider(SMFParserProviderType provider)` Initializes the value for the `provider` attribute.
    `SMFVersionProbed.Builder` | `setVersion(SMFFormatVersion version)` Initializes the value for the `version` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFVersionProbed.Builder from(SMFVersionProbedType instance)

      Fill a builder with attribute values from the provided `SMFVersionProbedType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setProvider

          public final SMFVersionProbed.Builder setProvider(SMFParserProviderType provider)

      Initializes the value for the `provider` attribute.
      Parameters:
        `provider` - The value for provider
      Returns:
        `this` builder for use in a chained invocation

    - #### setVersion

          public final SMFVersionProbed.Builder setVersion(SMFFormatVersion version)

      Initializes the value for the `version` attribute.
      Parameters:
        `version` - The value for version
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFVersionProbed build()

      Builds a new `SMFVersionProbed`.
      Returns:
        An immutable instance of SMFVersionProbed
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com